CC = valac
PKGS = --pkg gtk4 --pkg libadwaita-1 --pkg libsoup-2.4 --pkg gio-2.0 --pkg gdk-pixbuf-2.0 --pkg pango
SRCS = src/main.vala src/camera-client.vala
TARGET = olympuswifi
CFLAGS = -g

all: $(TARGET)

$(TARGET): $(SRCS)
	$(CC) $(CFLAGS) $(PKGS) $(SRCS) -o $(TARGET)

run: $(TARGET)
	./$(TARGET)

install:
	cp olympuswifi /usr/local/bin/

clean:
	rm -f $(TARGET)

.PHONY: all run clean
